CPSystemItemImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf.impl

## Class CPSystemItemImpl

- java.lang.Object
- - tv.amwa.maj.io.mxf.impl.CPSystemItemImpl

- All Implemented Interfaces:
    Cloneable, CPSystemItem, EssenceElement, MXFUnit, XMLSerializable

      public class CPSystemItemImpl
      extends Object
      implements CPSystemItem, Cloneable, XMLSerializable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UL` | `key`

    - ### Fields inherited from interface tv.amwa.maj.io.mxf.EssenceElement

      `CPData, CPPicture, CPSound, ELEMENT_COUNT_INDEX, ELEMENT_NUMBER_INDEX, ELEMENT_TYPE_INDEX, essenceElementBase, GCCompound, GCData, GCPicture, GCSound, ITEM_TYPE_INDEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CPSystemItemImpl()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendXMLChildren(Node parent)` Append extra child elements to the given parent node to serialize the value of an object to an XML fragment.
    `byte` | `getBitmap()`
    `short` | `getChannelHandle()`
    `String` | `getComment()` Include a comment when serializing a value to XML.
    `short` | `getContinuityCount()`
    `byte[]` | `getCreationDate()`
    `UL` | `getLabel()`
    `byte` | `getRate()`
    `byte` | `getType()`
    `UnitType` | `getUnitType()`
    `byte[]` | `getUserDate()`
    `static CPSystemItem` | `make(ByteBuffer buffer)`
    `void` | `setBitmap(byte bitmap)`
    `void` | `setChannelHandle(short channelHandle)`
    `void` | `setContinuityCount(short continuityCount)`
    `void` | `setCreationDate(byte[] creationDate)`
    `void` | `setLabel(UL label)`
    `void` | `setRate(byte rate)`
    `void` | `setType(byte type)`
    `void` | `setUserDate(byte[] userDate)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### key

          public static final UL key

  - ### Constructor Detail

    - #### CPSystemItemImpl

          public CPSystemItemImpl()

  - ### Method Detail

    - #### make

          public static final CPSystemItem make(ByteBuffer buffer)

    - #### getBitmap

          public byte getBitmap()

      Specified by:
        `getBitmap` in interface `CPSystemItem`

    - #### setBitmap

          public void setBitmap(byte bitmap)

      Specified by:
        `setBitmap` in interface `CPSystemItem`

    - #### getRate

          public byte getRate()

      Specified by:
        `getRate` in interface `CPSystemItem`

    - #### setRate

          public void setRate(byte rate)

      Specified by:
        `setRate` in interface `CPSystemItem`

    - #### getType

          public byte getType()

      Specified by:
        `getType` in interface `CPSystemItem`

    - #### setType

          public void setType(byte type)

      Specified by:
        `setType` in interface `CPSystemItem`

    - #### getChannelHandle

          public short getChannelHandle()

      Specified by:
        `getChannelHandle` in interface `CPSystemItem`

    - #### setChannelHandle

          public void setChannelHandle(short channelHandle)

      Specified by:
        `setChannelHandle` in interface `CPSystemItem`

    - #### getContinuityCount

          public short getContinuityCount()

      Specified by:
        `getContinuityCount` in interface `CPSystemItem`

    - #### setContinuityCount

          public void setContinuityCount(short continuityCount)

      Specified by:
        `setContinuityCount` in interface `CPSystemItem`

    - #### getLabel

          public UL getLabel()

      Specified by:
        `getLabel` in interface `CPSystemItem`

    - #### setLabel

          public void setLabel(UL label)

      Specified by:
        `setLabel` in interface `CPSystemItem`

    - #### getCreationDate

          public byte[] getCreationDate()

      Specified by:
        `getCreationDate` in interface `CPSystemItem`

    - #### setCreationDate

          public void setCreationDate(byte[] creationDate)

      Specified by:
        `setCreationDate` in interface `CPSystemItem`

    - #### getUserDate

          public byte[] getUserDate()

      Specified by:
        `getUserDate` in interface `CPSystemItem`

    - #### setUserDate

          public void setUserDate(byte[] userDate)

      Specified by:
        `setUserDate` in interface `CPSystemItem`

    - #### getUnitType

          public UnitType getUnitType()

      Specified by:
        `getUnitType` in interface `CPSystemItem`
      Specified by:
        `getUnitType` in interface `MXFUnit`

    - #### appendXMLChildren

          public void appendXMLChildren(Node parent)

      Description copied from interface: `XMLSerializable`

      Append extra child elements to the given parent node to serialize the value of an object to an XML fragment. Methods of the `XMLBuilder` class are provided to help with this process.

      Specified by:
        `appendXMLChildren` in interface `XMLSerializable`
      Parameters:
        `parent` - XML parent element to append child nodes to.

    - #### getComment

          public String getComment()

      Description copied from interface: `XMLSerializable`

      Include a comment when serializing a value to XML. The comment will be inserted as the first child node of the element representing the class.

      Specified by:
        `getComment` in interface `XMLSerializable`
      Returns:
        Comment to add as the first child node of the element representing this class.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.